Core - Bug # 25395

Status: Closed Priority: Should have
Author: Xavier Perseguers Category:

Created: 2011-03-25 Assigned To:

Updated: 2013-06-01 Due date:

TYPO3 Version: 4.6

PHP Version: 53

Complexity:

Is Regression:
Sprint Focus:

Subject: Remove explicit checks for PHP < 5.3

Description

PHP 5.3 will be a requirement for TYPOS3 4.6. Remove tests that check whether current PHP is prior to 5.3 and only use PHP 5.3
code.

(issue imported from #M18038)

Related issues:
related to Core - Bug # 25001: Usage of deprecated PHP < 5.3 function calls Closed 2011-02-11
related to Core - Task # 24954: The Big Cleanup 4.6 Closed 2011-04-25

Associated revisions

Revision ecc21f2e - 2011-04-02 10:10 - Xavier Perseguers

[TASK] Remove explicit checks for PHP < 5.3

Make PHP 5.3 a requirement for TYPO3 4.6 and remove tests that check for older
versions of PHP.

Change-Id: Ib73e332a44618e59f78c8e442d2bf27474c4964
Resolves: #25395
Reviewed-on: http://review.typo3.org/1277

Reviewed-by: Susanne Moog

Tested-by: Susanne Moog

History

#1 - 2011-04-02 10:08 - Mr. Hudson

Patch set 4 of change 1b73e332a44618e59f78c8e442d2bf27474c4964 has been pushed to the review server.
It is available at http://review.typo3.org/1277

#2 - 2011-04-02 10:30 - Xavier Perseguers
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ecc21f2e46ffec0757963fd128d3cb5c086fdab.
#3 - 2012-03-07 13:31 - Xavier Perseguers

- Status changed from Resolved to Closed

#4 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1081)
